Package org.silverpeas.mobile.server.servlets

## Class AbstractSilverpeasMobileServlet

- java.lang.Object
- - javax.servlet.GenericServlet
  - - javax.servlet.http.HttpServlet
    - - org.silverpeas.mobile.server.servlets.AbstractSilverpeasMobileServlet

- All Implemented Interfaces:
    `Serializable`, `javax.servlet.Servlet`, `javax.servlet.ServletConfig`
  Direct Known Subclasses:
    `AppInitServlet`, `AppServiceWorkerServlet`, `FileServlet`, `FormServlet`, `ManifestServlet`, `MediaServlet`, `PublicationContentServlet`, `WebAppOriginAssociationServlet`

      public abstract class AbstractSilverpeasMobileServlet
      extends javax.servlet.http.HttpServlet

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AbstractSilverpeasMobileServlet()` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected void` | `checkUserInSession​(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)` |
    `protected org.silverpeas.core.web.mvc.controller.MainSessionController` | `getMainSessionController​(javax.servlet.http.HttpServletRequest request)` |
    `protected static org.silverpeas.kernel.bundle.SettingBundle` | `getSettings()` |
    `protected org.silverpeas.core.admin.user.model.UserDetail` | `getUserInSession​(javax.servlet.http.HttpServletRequest request)` |

    - ### Methods inherited from class javax.servlet.http.HttpServlet

      `doDelete, doGet, doHead, doOptions, doPost, doPut, doTrace, getLastModified, service, service`

    - ### Methods inherited from class javax.servlet.GenericServlet

      `destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, init, log, log`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractSilverpeasMobileServlet

          public AbstractSilverpeasMobileServlet()

  - ### Method Detail

    - #### checkUserInSession

          protected void checkUserInSession​(javax.servlet.http.HttpServletRequest request,
                                            javax.servlet.http.HttpServletResponse response)
                                     throws Exception

      Throws:
        `Exception`

    - #### getUserInSession

          protected org.silverpeas.core.admin.user.model.UserDetail getUserInSession​(javax.servlet.http.HttpServletRequest request)

    - #### getMainSessionController

          protected org.silverpeas.core.web.mvc.controller.MainSessionController getMainSessionController​(javax.servlet.http.HttpServletRequest request)
                                                                                                   throws Exception

      Throws:
        `Exception`

    - #### getSettings

          protected static org.silverpeas.kernel.bundle.SettingBundle getSettings()